/*=============================================================================
	"      "
			placeFiles.js
		
          (  ) 
    .

1.0  

1.1      

21.06.2005.

  (ragman)
=============================================================================*/
nameScript = "  ";
verScript = "v.1.1";

with (app) {
	
	//  
	
	//  
	var myDialog = dialogs.add({name:nameScript + " " + verScript});
	// 
	with (myDialog.dialogColumns.add()) {
		with (dialogRows.add().borderPanels.add().dialogRows.add()) {
		with (dialogColumns.add()) {
			labelTXT = checkboxControls.add({checkedState:true, staticLabel:"TXT"});
			labelRTF = checkboxControls.add({checkedState:true, staticLabel:"RTF"});
			labelDOC = checkboxControls.add({checkedState:true, staticLabel:"DOC"});
			labelXLS = checkboxControls.add({checkedState:true, staticLabel:"XLS"});
			labelPDF = checkboxControls.add({checkedState:true, staticLabel:"PDF"});
		}
		with (dialogColumns.add()) {
			labelTIFF = checkboxControls.add({checkedState:true, staticLabel:"TIFF"});
			labelEPS = checkboxControls.add({checkedState:true, staticLabel:"EPS"});
			labelAI = checkboxControls.add({checkedState:true, staticLabel:"AI"});
			labelPSD = checkboxControls.add({checkedState:true, staticLabel:"PSD"});
			labelJPG = checkboxControls.add({checkedState:true, staticLabel:"JPEG, JPG"});
			labelGIF = checkboxControls.add({checkedState:true, staticLabel:"GIF"});
			labelWMF = checkboxControls.add({checkedState:true, staticLabel:"WMF"});
			labelEMF = checkboxControls.add({checkedState:true, staticLabel:"EMF"});
		}
		}
		with (dialogRows.add()) {
			with (dialogColumns.add()) {
				dialogRows.add().staticTexts.add({staticLabel:" "});
				dialogRows.add().staticTexts.add({staticLabel:"special946@gmail.com"});
			}
		}
		
	}
	// 
	var myResult = myDialog.show();
	if (!myResult) {
		myDialog.destroy();
		exit();
	}
	
	//   
	
	//    
	var allImgExt = new Array ();
	if (labelTIFF.checkedState) allImgExt[allImgExt.length] = "tif";
	if (labelEPS.checkedState) allImgExt[allImgExt.length] = "eps";
	if (labelAI.checkedState) allImgExt[allImgExt.length] = "ai";
	if (labelPSD.checkedState) allImgExt[allImgExt.length] = "psd";
	if (labelJPG.checkedState) allImgExt[allImgExt.length] = "jpg";
	if (labelJPG.checkedState) allImgExt[allImgExt.length] = "jpeg";
	if (labelGIF.checkedState) allImgExt[allImgExt.length] = "gif";
	if (labelWMF.checkedState) allImgExt[allImgExt.length] = "wmf";
	if (labelEMF.checkedState) allImgExt[allImgExt.length] = "emf";
	
	//    
	allTxtExt = new Array ();
	if (labelTXT.checkedState) allTxtExt[allTxtExt.length] = "txt";
	if (labelRTF.checkedState) allTxtExt[allTxtExt.length] = "rtf";
	if (labelDOC.checkedState) allTxtExt[allTxtExt.length] = "doc";
	if (labelXLS.checkedState) allTxtExt[allTxtExt.length] = "xls";
	if (labelPDF.checkedState) allTxtExt[allTxtExt.length] = "pdf";
	
	//  
	myFolder = Folder.selectDialog();
	if (myFolder == null) {
		alert ("  !");
		exit();
	}
	
	//      
	myFiles = myFolder.getFiles();
	myPage = activeWindow.activePage;
	
	//  
	for (i = 0; i < myFiles.length; i ++) {
		var myFileExt = myFiles[i].name.split(".");
		for (j = 0; j < allImgExt.length; j ++) {
			if (myFileExt[1] == allImgExt[j]) {
				myFrame = myPage.rectangles.add();
				with(myFrame) {
					place (myFiles[i]);
					fit (1718906723);
					strokeColor = activeDocument.swatches.item(0);
				}
			}
		}
		for (j = 0; j < allTxtExt.length; j ++) {
			if (myFileExt[1] == allTxtExt[j]) {
				var myFrame = myPage.textFrames.add();
				with(myFrame) {
					place (myFiles[i]);
					x = geometricBounds[0];
					x1 = geometricBounds[2] + 100;
					y = geometricBounds[1];
					y1 = geometricBounds[3] + 100;
					geometricBounds = new Array (x, y, x1, y1);
					strokeColor = activeDocument.swatches.item(0);
				}
			}
		}
	}
}
